./lang/ruby/2.4 [object oriented script language with threads]
[+] Add this package to your ports tracker

[ CVSweb ] [ Homepage ] [ RSS feed ]

Version: 2.4.2, Package name: ruby-2.4.2
Maintained by: Jeremy Evans
Master sites:
Flavors (export FLAVOR=xyz, setenv FLAVOR xyz):
  • no_ri_docs
  • bootstrap
Description-gdbm
This is a Ruby extension to the GDBM library which is part of the Ruby
distribution.

Description-main
Ruby is the interpreted scripting language for quick and
easy object-oriented programming. It has many features to
process text files and to do system management tasks (as in
Perl). It is simple, straight-forward, and extensible.

Features of Ruby are shown below.

- Simple Syntax
- *Normal* Object-Oriented features(ex. class, method calls)
- *Advanced* Object-Oriented features(ex. Mix-in, Singleton-method)
- Operator Overloading
- Exception Handling
- Iterators and Closures
- Garbage Collection
- Dynamic Loading of Object files(on some architecture)
- Highly Portable(works on many UNIX machines, and on DOS,
Windows, Mac, BeOS etc.)

Description-ri_docs
This contains the files used by ruby's ri tool to get documentation
about classes and methods in ruby core and standard library.


Filesize: 13855.331 KB
Version History (View Complete History)
  • (2017-09-17) Updated to version: ruby-2.4.2
  • (2017-03-25) Updated to version: ruby-2.4.1
  • (2017-01-06) Package added to openports.se, version ruby-2.4.0 (created)
[show/hide] View available PLISTS (Can be a lot of data)

CVS Commit History:

   2017-09-07 11:32:16 by Jeremy Evans | Files touched by this commit (3)
Log message:
Apply rubygems 2.6.13 security patches from upstream
   2017-09-02 15:29:47 by Jeremy Evans | Files touched by this commit (6)
Log message:
Apply security patches provided by ruby-core to fix security issues
in rubygems for versions still supported upstream (2.2, 2.3, and 2.4).
No CVE numbers, but this fixes the following vulnerabilities:
* Fix a DNS request hijacking vulnerability.
* Fix an ANSI escape sequence vulnerability.
* Fix a DOS vulernerability in the query command.
* Fix a vulnerability in the gem installer that allowed a malicious
gem to overwrite arbitrary files.
   2017-09-02 15:29:47 by Jeremy Evans | Files touched by this commit (6)
Log message:
Apply security patches provided by ruby-core to fix security issues
in rubygems for versions still supported upstream (2.2, 2.3, and 2.4).
No CVE numbers, but this fixes the following vulnerabilities:
* Fix a DNS request hijacking vulnerability.
* Fix an ANSI escape sequence vulnerability.
* Fix a DOS vulernerability in the query command.
* Fix a vulnerability in the gem installer that allowed a malicious
gem to overwrite arbitrary files.
   2017-04-18 11:09:26 by Jeremy Evans | Files touched by this commit (1)
Log message:
Fix comment for patchfile, no functional change.
   2017-04-17 12:29:11 by Jeremy Evans | Files touched by this commit (2)
Log message:
Fix heap overflow by renaming HEAP_ALIGN_LOG to HEAP_PAGE_ALIGN_LOG in configure.
   2017-04-17 12:29:11 by Jeremy Evans | Files touched by this commit (2)
Log message:
Fix heap overflow by renaming HEAP_ALIGN_LOG to HEAP_PAGE_ALIGN_LOG in configure.
   2017-03-24 08:39:05 by Jeremy Evans | Files touched by this commit (9)
Log message:
Update to ruby 2.4.1
Shared lib major bump due to removal of ruby_vm_sysstack_error_copy
function.  Regen patches.
   2017-03-24 08:39:05 by Jeremy Evans | Files touched by this commit (9)
Log message:
Update to ruby 2.4.1
Shared lib major bump due to removal of ruby_vm_sysstack_error_copy
function.  Regen patches.
   2017-03-24 08:39:05 by Jeremy Evans | Files touched by this commit (9)
Log message:
Update to ruby 2.4.1
Shared lib major bump due to removal of ruby_vm_sysstack_error_copy
function.  Regen patches.
   2017-03-24 08:39:05 by Jeremy Evans | Files touched by this commit (9)
Log message:
Update to ruby 2.4.1
Shared lib major bump due to removal of ruby_vm_sysstack_error_copy
function.  Regen patches.
   2017-03-24 08:39:05 by Jeremy Evans | Files touched by this commit (9)
Log message:
Update to ruby 2.4.1
Shared lib major bump due to removal of ruby_vm_sysstack_error_copy
function.  Regen patches.
   2017-03-24 08:39:05 by Jeremy Evans | Files touched by this commit (9)
Log message:
Update to ruby 2.4.1
Shared lib major bump due to removal of ruby_vm_sysstack_error_copy
function.  Regen patches.
   2017-03-24 08:39:05 by Jeremy Evans | Files touched by this commit (9)
Log message:
Update to ruby 2.4.1
Shared lib major bump due to removal of ruby_vm_sysstack_error_copy
function.  Regen patches.
   2017-03-24 08:39:05 by Jeremy Evans | Files touched by this commit (9)
Log message:
Update to ruby 2.4.1
Shared lib major bump due to removal of ruby_vm_sysstack_error_copy
function.  Regen patches.
   2017-03-24 08:39:05 by Jeremy Evans | Files touched by this commit (9)
Log message:
Update to ruby 2.4.1
Shared lib major bump due to removal of ruby_vm_sysstack_error_copy
function.  Regen patches.
   2017-02-21 10:04:45 by Jeremie Courreges-Anglas | Files touched by this commit (2)
Log message:
Workaround for ram-constrained archs: build ext/ripper/ripper.c with -O1
Same as lang/ruby/2.3.  Preventively add arm, just in case it is near
the maximum limit.
Prodded by jeremy@ (maintainer)
   2017-02-21 10:04:45 by Jeremie Courreges-Anglas | Files touched by this commit (2)
Log message:
Workaround for ram-constrained archs: build ext/ripper/ripper.c with -O1
Same as lang/ruby/2.3.  Preventively add arm, just in case it is near
the maximum limit.
Prodded by jeremy@ (maintainer)